package entity

import (
	"git.sxidc.com/go-framework/baize/framework/core/domain"
)

// Entity 领域实体接口
type Entity interface {
	domain.Object

	// GenerateID 生成ID
	GenerateID() error

	// GetID 获取ID
	GetID() string
}
